package com.environment.exception;

/**
 * <code>MissingComponentException</code> is thrown in response to attempting to
 * initialize a <code>Component</code> without necessary <code>Component</code>
 * being connected.
 * 
 * @author Yi Wang (Neakor)
 * @version Creation date: 04-10-08 19:01 EST
 * @version Modified date: 05-19-08 16:17 EST
 */
public class MissingComponentException extends RuntimeException {
	/**
	 * Serial version.
	 */
	private static final long serialVersionUID = 5091083733501702459L;

	/**
	 * Constructor of <code>MissingComponentException</code>.
	 * @param component The name of the <code>Component</code> that is missing.
	 */
	public MissingComponentException(String component) {
		super("Missing Component: " + component.substring(component.lastIndexOf(".")+1, component.length()));
	}
}
